class Cashbox {
	int bill = 1;

	void borrow(String name){
		try{
			bill--;
			System.out.println(name + " : Borrow!! bill = " + bill);
			Thread.sleep(1000);
			bill++;
			System.out.println(name + " : Return!! bill = " + bill);
		}catch(InterruptedException ex){}
	}
}

class Staff implements Runnable {
	String name;
	Cashbox cashbox;

	Staff(String name, Cashbox cashbox){
		this.name = name;
		this.cashbox = cashbox;
	}
	public void run(){
		cashbox.borrow(name);
	}
}

public class Thread01 {
	public static void main(String[] args){
		Cashbox cashbox = new Cashbox();
		new Thread(new Staff("Tanaka", cashbox)).start();
		new Thread(new Staff("Suzuki", cashbox)).start();
	}
}
